com.lowagie.rups.view.itext.treenodes

## Class XdpTreeNode

- java.lang.Object
- - javax.swing.tree.DefaultMutableTreeNode
  - - com.lowagie.rups.view.icons.IconTreeNode
    - - com.lowagie.rups.view.itext.treenodes.XdpTreeNode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode

      public class XdpTreeNode
      extends IconTreeNode

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID` A serial version UID.

    - ### Fields inherited from class com.lowagie.rups.view.icons.IconTreeNode

      `icon`

    - ### Fields inherited from class javax.swing.tree.DefaultMutableTreeNode

      `allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XdpTreeNode(Node node)` Constructs an XdpTreeNode

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `addChildNodes(java.util.List list)`
    `Node` | `getNode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.lowagie.rups.view.icons.IconTreeNode

      `getIcon`

    - ### Methods inherited from class javax.swing.tree.DefaultMutableTreeNode

      `add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      A serial version UID.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XdpTreeNode

          public XdpTreeNode(Node node)

      Constructs an XdpTreeNode
      Parameters:
        `node` - the XML node

  - ### Method Detail

    - #### addChildNodes

          private void addChildNodes(java.util.List list)

    - #### getNode

          public Node getNode()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `javax.swing.tree.DefaultMutableTreeNode`